function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import AvatarBehaviour from "./Avatar.behaviour";
import AvatarSkeleton from "./Avatar.skeleton";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";
import avatarPropTypes, { defaultProps, propsDescription } from "./Avatar.propTypes";
import constantProps from "./Avatar.constantProps";
export default function Avatar(props) {
  return /*#__PURE__*/React.createElement(AvatarBehaviour, _extends({}, props, {
    renderComponent: AvatarSkeleton
  }));
}
Avatar.propTypes = avatarPropTypes;
Avatar.defaultProps = defaultProps;
Avatar.propsDescription = propsDescription;
Avatar.constantProps = constantProps;

if (false) {
  Avatar.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}