function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import MonthBehaviour from "./Month.behaviour";
import MonthSkeleton from "./Month.skeleton";
import MonthPropTypes, { defaultProps, propsDescription } from "./Month.propTypes";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories"; //import constantProps from "./Month.constantProps";

export default function Month(props) {
  return /*#__PURE__*/React.createElement(MonthBehaviour, _extends({}, props, {
    renderComponent: MonthSkeleton
  }));
}
Month.propTypes = MonthPropTypes;
Month.defaultProps = defaultProps;
Month.propsDescription = propsDescription; //Month.constantProps=constantProps;

if (false) {
  Month.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}