// import { CustomizeSkeleton } from "../../../customization-cornor";
// import { getRef } from "../../../customization-cornor/behaviorscustomization";
// import { YearPropTypes } from "../../Components.manifest";
// import YearImplementation from "./Year-Skeleton";
// function Year(props){
//     let {customComponent,onClick,year}=props
//     let renderProps={
//         onClick:e=>{ 
//             onClick(e,year)},
//     }
//     return(
//         CustomizeSkeleton(props,renderProps,YearImplementation,customComponent)
//     )
// }
// Year.propTypes=YearPropTypes()
// export default Year
// Year.docs={
//     componentGroup:'DateTime',
//     folderName:'DateWidget'
// }
import React from "react";
import SkeletonThemeWrapper from "../../../customization-cornor/skeletonCustomization";
export default (props => {
  let {
    year,
    onClick
  } = props;
  let renderProps = {
    onClick: e => onClick(e, year)
  };
  let {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: basicProps,
    renderProps: renderProps,
    component: renderComponent
  });
});