import { variantsConstants } from '@zohodesk/utils/es/constantProps';
import { getVariantConstantProps } from '@zohodesk/utils/es/props/uiProps';
export default {
  color: {
    primary: 'color_primary',
    secondary: 'color_secondary',
    danger: 'color_danger',
    success: 'color_success'
  },
  variant: {
    contained: 'variant_contained',
    outlined: 'variant_outlined',
    plain: 'variant_plain'
  },
  //  variant: getVariantConstantProps([variantsConstants.contained, variantsConstants.outlined, variantsConstants.plain]),
  size: {
    small: 'size_small',
    medium: 'size_medium',
    large: 'size_large',
    xlarge: 'size_xlarge',
    stretch: 'size_stretch'
  },
  shape: {
    circle: 'shape_circle',
    oval: 'shape_oval',
    square: 'shape_square'
  },
  cursor: {
    loading: 'loading',
    not_allowed: 'not_allowed'
  }
};