function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import GridBehaviour from './Grid.behaviour';
import GridPropTypes, { defaultProps } from './Grid.propTypes';
import GridSkeleton from './Grid.skeleton';
import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';
export default function Grid(props) {
  return /*#__PURE__*/React.createElement(GridBehaviour, _extends({
    renderComponent: GridSkeleton
  }, props));
}

if (false) {
  Grid.docs = {
    componentGroup: componentGroups.Templates,
    folderName: componentCategories.Layout
  };
}

Grid.propTypes = GridPropTypes;
Grid.defaultProps = defaultProps;