import React, { useRef, useState, useEffect } from "react";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";
import Tooltip from "../Tooltip";
export default function Tooltip__NestedContainer(props) {
  let containerRef = useRef(null);
  let [containerEle, setContainerElement] = useState();
  useEffect(() => {
    setContainerElement(containerRef.current);
  }, [containerRef.current]);
  return /*#__PURE__*/React.createElement("div", {
    style: {
      padding: "0 20px 50px 20px"
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      width: "300px",
      overflow: "scroll",
      position: "relative"
    },
    ref: containerRef
  }, /*#__PURE__*/React.createElement("div", null, "What is Lorem Ipsum? Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&APOS;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."), /*#__PURE__*/React.createElement("button", {
    "data-title": "My button title"
  }, "My button"), /*#__PURE__*/React.createElement("div", null, "What is Lorem Ipsum? Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&APOS;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."), /*#__PURE__*/React.createElement("div", null, "What is Lorem Ipsum? Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&APOS;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."), /*#__PURE__*/React.createElement("div", null, "What is Lorem Ipsum? Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&APOS;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."), /*#__PURE__*/React.createElement("div", null, "What is Lorem Ipsum? Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&APOS;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."), /*#__PURE__*/React.createElement("div", null, "What is Lorem Ipsum? Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&APOS;s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."), /*#__PURE__*/React.createElement("hr", null), /*#__PURE__*/React.createElement("button", Tooltip.getTitleProps("My <b>button</b> title", true), "My button"), containerRef.current && /*#__PURE__*/React.createElement(Tooltip, {
    arrow: true,
    container: containerEle
  })), /*#__PURE__*/React.createElement(Tooltip, null), /*#__PURE__*/React.createElement("button", {
    "data-title": "Outside container title"
  }, "Outside container button"));
}

if (false) {
  Tooltip__NestedContainer.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}