import PropTypes from 'prop-types';
import constantProps from './Yearview.constantProps';
export default {
  viewedYear: PropTypes.string,
  viewedMonth: PropTypes.string,
  monthNames: PropTypes.array,
  monthNamesShort: PropTypes.array,
  monthNamesData: PropTypes.array,
  isMonthOpen: PropTypes.bool,
  localYear: PropTypes.string,
  handleYearClick: PropTypes.func,
  handleMonthClick: PropTypes.func,
  onSelectYear: PropTypes.func,
  onSelectMonth: PropTypes.func,
  renderComponent: PropTypes.func
};
export const defaultProps = {
  direction: constantProps.direction.row,
  wrap: constantProps.wrap.wrap,
  align: constantProps.align.both,
  justifyContent: constantProps.justifyContent.around,
  customClassName: {}
};
export const propsDescription = {};