function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import GroupBehaviour from "./Group.behaviour";
import GroupSkeleton from "./Group.skeleton";
import GroupPropTypes, { defaultProps, propsDescription } from "./Group.propTypes";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";
import constantProps from "./Group.constantProps";
export default function Group(props) {
  return /*#__PURE__*/React.createElement(GroupBehaviour, _extends({}, props, {
    renderComponent: GroupSkeleton
  }));
}
Group.propTypes = GroupPropTypes;
Group.defaultProps = defaultProps;
Group.propsDescription = propsDescription;
Group.constantProps = constantProps;

if (false) {
  Group.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}